package com.xunao.effectdemo.activity

import android.app.Activity
import android.os.Bundle
import com.xunao.effectdemo.R
import kotlinx.android.synthetic.main.activity_congratulations.*
import kotlinx.android.synthetic.main.activity_lottie.*

/**
 * author : 程中强
 * e-mail : 740479946@qq.com
 * date : 2022/8/2214:51
 * desc :
 * version: 1.0
 */
class CongratulationsActivity : Activity() {

    val  colorInt :IntArray = intArrayOf(R.color.xui_config_color_red, R.color.xui_btn_green_select_color,
        R.color.xui_btn_blue_select_color,R.color.colorAccent)
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_congratulations)
        btn_start.setOnClickListener{v->
            lottie_view.playAnimation()
        }
        fl_firework.setOnClickListener { v ->
            fl_firework.like()
        }

        like.setDotNum(4,colorInt)
    }
}